## org.hibernate.event.spi
Interface DirtyCheckEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultDirtyCheckEventListener

    public interface DirtyCheckEventListener

extends Serializable

Defines the contract for handling of session dirty-check events.

Method Summary
`void` `onDirtyCheck(DirtyCheckEvent event)` Handle the given dirty-check event.

Method Detail

### onDirtyCheck

    void onDirtyCheck(DirtyCheckEvent event)
                      throws HibernateException

  Handle the given dirty-check event.

  Parameters:
    `event` - The dirty-check event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.